Qtopia Home - Classes - Hierachy - Annotated - Functions - Qt Embedded |

# KVNC Class Reference

The KVNC class is a VNC client. More...

`#include <kvnc.h>`

List of all member functions.

## Public Members

- KVNC ( QWidget * parent = 0, const char * name = 0, WFlags fl = 0 )
- ~KVNC ()

## Public Slots

- void toggleFullScreen ( bool f )
- void openURL ( const QUrl & url )
- void connectToServer ()
- void showOptions ()

## Protected Members

- void setupActions ()

## Protected Slots

- void showMenu ()
- void connected ()
- void loggedIn ()
- void disconnected ()
- void statusMessage ( const QString & m )
- void error ( const QString & msg )
- void zoom ( bool z )

## Detailed Description

The KVNC class is a VNC client.

Keypebble, the VNC client for Qtopia, is based on Keystone from the KDE project. Keystone and Keypebble are distributed under the terms of the GNU General Public License. The VNC server code in Qt/Embedded is copyright Trolltech.

A primary copyright holder is Richard Moore.

This software owes a lot to Markus Wuebben's kvncviewer, which some of the code is derived from. Thanks also go to ORL for making the RFB protocol and servers GPL.

## Member Function Documentation

### KVNC::KVNC ( QWidget * parent = 0, const char * name = 0, WFlags fl = 0 )

name

### KVNC::~KVNC ()

### void KVNC::connectToServer ()`[slot]`

### void KVNC::connected ()`[protected slot]`

### void KVNC::disconnected ()`[protected slot]`

### void KVNC::error ( const QString & msg )`[protected slot]`

msg

### void KVNC::loggedIn ()`[protected slot]`

### void KVNC::openURL ( const QUrl & url )`[slot]`

url

### void KVNC::setupActions ()`[protected]`

### void KVNC::showMenu ()`[protected slot]`

### void KVNC::showOptions ()`[slot]`

### void KVNC::statusMessage ( const QString & m )`[protected slot]`

m

### void KVNC::toggleFullScreen ( bool f )`[slot]`

f

### void KVNC::zoom ( bool z )`[protected slot]`

z

This file is part of the Qtopia platform, copyright © 1995-2004 Trolltech, all rights reserved.